#include <cstdio>
#include <sys/resource.h> /* PRIO_* */
#include <unistd.h>

#define PRIORITY -20

#include "buffer.hh"

void BufferEmptied(FILE *fp)
{
    fp=fp;
    // don't care
}

int main(void)
{
    setpriority(PRIO_PROCESS, 0, PRIORITY);
    nice(PRIORITY);
    
    for(;;)
    {
        if(BufferWaitInput())
        {
            char Buf[4096];
            int res = read(STDIN_FILENO, Buf, sizeof Buf);
            if(!res) break;
            
            BufferType buf(Buf, Buf+res);
            
            AddWriteTask(stdout, buf);
        }
    }
    
    return 0;
}
